<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>netcoreapp3.1</TargetFramework>
    <UserSecretsId>6c0b8996-b219-4547-a7e3-6c8ba8605b5b</UserSecretsId>
    <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="CsvHelper" Version="15.0.9" />
    <PackageReference Include="FluentValidation.AspNetCore" Version="8.6.2" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="3.1.5" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="3.1.5">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.EntityFrameworkCore.Proxies" Version="3.1.5" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="3.1.5">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.10.9" />
    <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="3.1.3" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\GreenTree.Maschinenbestellungen.Core\GreenTree.Maschinenbestellungen.Core.csproj" />
    <ProjectReference Include="..\GreenTree.Maschinenbestellungen.Domain\GreenTree.Maschinenbestellungen.Domain.csproj" />
    <ProjectReference Include="..\GreenTree.Maschinenbestellungen.Services\GreenTree.Maschinenbestellungen.Services.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Models\Business\" />
  </ItemGroup>

</Project>
